<header class="header m-0 d-none d-lg-block">
  <nav class="navbar navbar-expand-xl navbar-dark">
    <div class="navbar-brand flex-grow-1">
      <a routerLink='/'>
        <img src="assets/images/logo.svg">
      </a>
    </div>
  </nav>
</header>
<div class='main core d-flex flex-wrap align-items-lg-center align-items-start'>
  <div class='Banner-Bg Banner-Bg-responsive col-xl-5 col-lg-5 col-12'
    style="background-image: url(assets/images/Bg.jpg);">
    <a routerLink='/' class="logoFixed d-block d-lg-none py-2">
      <img src="assets/images/white-logo.svg">
    </a>
  </div>
  <div class='main_Content  col-lg-7 col-12 d-flex align-items-center justify-content-center'>

    <div class="col-12 p-0">
      <mat-horizontal-stepper linear #stepper class="add-case-stepper text-left" labelPosition="bottom">
        <mat-step [stepControl]="firstFormGroup" [editable]="isEditable">
          <ng-template matStepLabel>User Type</ng-template>
          <form [formGroup]="firstFormGroup">
            <div class="row">
              <div class="col-12 mb-2">
                <div class="d-flex flex-column">
                  <label class="font-18  font-md-16 font-weight-medium text-color-onyx">
                    Do you wish to remain anonymous for this report
                  </label>
                  <mat-radio-group aria-labelledby="choose-radio-group-label" formControlName="selectionValue"
                    [(ngModel)]="readioSelected" class="font-17 font-md-15">
                    <mat-radio-button [checked]=" i==1 ? 'true' : 'false' "
                      *ngFor="let Selection of Choices let i = index" [value]="Selection" required>
                      {{Selection}}
                    </mat-radio-button>
                  </mat-radio-group>
                </div>
              </div>
              <div class="col-12 mb-2" *ngIf="readioSelected == 'No'">
                <div class="d-flex flex-column">
                  <mat-form-field>
                    <input matInput placeholder="stc Email" required>
                  </mat-form-field>
                  <label class="font-16  font-md-16 font-weight-normal text-color-onyx  note">You will receive an
                    OTP
                    to verify your
                    identity.</label>
                </div>
              </div>
            </div>
            <div class="d-flex flex-md-row align-items-stretch align-items-md-center mt-5 mb-md-0 mb-5">
              <button mat-button [routerLink]="['/violation-report']"
                class="btn button-secondary font-17 font-md-13 font-weight-medium  d-inline-flex flex-grow-0 align-items-center p-0">
                <svg xmlns="http://www.w3.org/2000/svg" width="20.576" height="14.493" class="mr-md-3 mr-2 p-md-0 pr-1"
                  viewBox="0 0 20.576 14.493">
                  <g id="arrow" transform="translate(20.576 14.493) rotate(180)">
                    <g id="Group_13045" data-name="Group 13045" transform="translate(0 0)">
                      <path id="Path_10542" data-name="Path 10542"
                        d="M36.233,138.419h0l-6.107-6.078A1.169,1.169,0,0,0,28.476,134l4.1,4.08H17.169a1.169,1.169,0,1,0,0,2.338H32.576l-4.1,4.08a1.169,1.169,0,0,0,1.649,1.657l6.107-6.078h0A1.17,1.17,0,0,0,36.233,138.419Z"
                        transform="translate(-16 -132)" fill="#ff375e" />
                    </g>
                  </g>
                </svg>

                Back
              </button>
              <button mat-button matStepperNext
                class="btn button-primary font-17 font-md-13 font-weight-medium  d-inline-flex flex-grow-0 align-items-center p-0 ml-auto">
                <app-loading-spinner *ngIf="loadingBtn"></app-loading-spinner>
                <p class="px-4 m-0"> Next</p>
              </button>
            </div>
          </form>
        </mat-step>
        <mat-step [stepControl]="secondFormGroup" [editable]="isEditable" *ngIf="readioSelected == 'No'">
          <form [formGroup]="secondFormGroup">
            <ng-template matStepLabel>Verification</ng-template>
            <div class="row">
              <div class="col-12 mb-4" *ngIf="readioSelected == 'No'">
                <div class="d-flex flex-column">
                  <label class="font-18  font-md-14 font-weight-normal text-color-coral mb-3">We Send Code On Your
                    phone Number It
                    will expire in 50 S</label>
                  <mat-form-field>
                    <input matInput placeholder="OTP" required>
                  </mat-form-field>
                  <a hred='#'
                    class="font-14 font-weight-normal text-color-coral mb-2 cursor-pointer text-decoration-underline">Resend
                    code</a>
                </div>
              </div>
            </div>
            <div class="d-flex flex-md-row align-items-stretch align-items-md-center mt-5 mb-md-0 mb-5">
              <button mat-button matStepperPrevious
                class="btn button-secondary font-17 font-md-13 font-weight-medium  d-inline-flex flex-grow-0 align-items-center p-0">
                <svg xmlns="http://www.w3.org/2000/svg" width="20.576" height="14.493" class="mr-md-3 mr-2 p-md-0 pr-1"
                  viewBox="0 0 20.576 14.493">
                  <g id="arrow" transform="translate(20.576 14.493) rotate(180)">
                    <g id="Group_13045" data-name="Group 13045" transform="translate(0 0)">
                      <path id="Path_10542" data-name="Path 10542"
                        d="M36.233,138.419h0l-6.107-6.078A1.169,1.169,0,0,0,28.476,134l4.1,4.08H17.169a1.169,1.169,0,1,0,0,2.338H32.576l-4.1,4.08a1.169,1.169,0,0,0,1.649,1.657l6.107-6.078h0A1.17,1.17,0,0,0,36.233,138.419Z"
                        transform="translate(-16 -132)" fill="#ff375e" />
                    </g>
                  </g>
                </svg>

                Back
              </button>
              <button mat-button matStepperNext
                class="btn button-primary font-17 font-md-13 font-weight-medium  d-inline-flex flex-grow-0 align-items-center p-0 ml-auto">
                <app-loading-spinner *ngIf="loadingBtn"></app-loading-spinner>
                <p class="px-4 m-0"> Next</p>
              </button>
            </div>
          </form>
        </mat-step>
        <mat-step>
          <ng-template matStepLabel>Violation</ng-template>
          <app-violation></app-violation>
          <div class="d-flex flex-md-row align-items-stretch align-items-md-center mt-3 mb-md-0 mb-5">
            <button mat-button matStepperPrevious
              class="btn button-secondary font-17 font-md-13 font-weight-medium  d-inline-flex flex-grow-0 align-items-center p-0">
              <svg xmlns="http://www.w3.org/2000/svg" width="20.576" height="14.493" class="mr-md-3 mr-2 p-md-0 pr-1"
                viewBox="0 0 20.576 14.493">
                <g id="arrow" transform="translate(20.576 14.493) rotate(180)">
                  <g id="Group_13045" data-name="Group 13045" transform="translate(0 0)">
                    <path id="Path_10542" data-name="Path 10542"
                      d="M36.233,138.419h0l-6.107-6.078A1.169,1.169,0,0,0,28.476,134l4.1,4.08H17.169a1.169,1.169,0,1,0,0,2.338H32.576l-4.1,4.08a1.169,1.169,0,0,0,1.649,1.657l6.107-6.078h0A1.17,1.17,0,0,0,36.233,138.419Z"
                      transform="translate(-16 -132)" fill="#ff375e" />
                  </g>
                </g>
              </svg>

              Back
            </button>
            <button mat-button (click)="showComment()"
              class="btn button-primary font-17 font-md-13 font-weight-medium  d-inline-flex flex-grow-0 align-items-center p-0 ml-auto">
              <app-loading-spinner *ngIf="loadingBtn"></app-loading-spinner>
              <p class="px-md-4  m-0"> Submit report</p>

            </button>
          </div>

        </mat-step>
      </mat-horizontal-stepper>
    </div>

  </div>
</div>